#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Module
%define		pnam	Build-Tiny
%include	/usr/lib/rpm/macros.perl
Summary:	Module::Build::Tiny - A tiny replacement for Module::Build
Summary(pl.UTF-8):	Module::Build::Tiny - mały zamiennik systemu Module::Build
Name:		perl-Module-Build-Tiny
Version:	0.039
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2332c90c17454107fea3f2614e11a3a9
URL:		http://search.cpan.org/dist/Module-Build-Tiny/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-ExtUtils-Config >= 0.003
BuildRequires:	perl-ExtUtils-Helpers >= 0.020
BuildRequires:	perl-ExtUtils-InstallPaths >= 0.002
BuildRequires:	perl-Test-Harness >= 3.30
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Many Perl distributions use a Build.PL file instead of a Makefile.PL
file to drive distribution configuration, build, test and
installation. Traditionally, Build.PL uses Module::Build as
the underlying build system. This module provides a simple,
lightweight, drop-in replacement.

Whereas Module::Build has over 6,700 lines of code; this module has
less than 120, yet supports the features needed by most distributions.

%description -l pl.UTF-8
Wiele pakietów perlowych wykorzystuje plik Build.PL zamiast pliku
Makefile.PL do sterowania konfiguracją, budowaniem, testowaniem i
instajacją. Tradycyjnie Build.PL w roli systemu budującego
wykorzystuje Module::Build; ten moduł dostarcza prosty, lekki
zamiennik.

O ile Module::Build ma ponad 6700 linii kodu, ten moduł ma mniej niż
120, a obsługuje funkcje wymaganych przez większość pakietów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__sed} -i -e 's/.*in blib is readonly.*/#&/g' t/simple.t

%build
%{__perl} Build.PL \
	--installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	--destdir=$RPM_BUILD_ROOT \
	--create_packlist=0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%dir %{perl_vendorlib}/Module/Build
%{perl_vendorlib}/Module/Build/Tiny.pm
%{_mandir}/man3/Module::Build::Tiny.3pm*
%changelog
* Fri Aug 31 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Module-Build-Tiny.git;a=log;h=master

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> 5e2ce7f
- rebuild with perl 5.28.0
- release 3 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 1df8b08
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Tue Feb 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 7347a8f
- updated to 0.039
- pl

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> a2b3dda
- new

